function detectOS() {
    var ua = navigator.userAgent;
    var os = {},
        android = ua.match(/([a|A]ndroid)[\s\/]*([\d.]+)/),
        ipad = ua.match(/(iPad).*OS\s([\d_]+)/),
        iphone = !ipad && ua.match(/(iPhone\sOS)\s([\d_]+)/);
    if (/android/i.test(ua) || (/UCBrowser/i.test(ua) && /Adr[\s\/]*([\d.]+)/.test(ua))) {
        os.android = true;
        if (android) {
            os.version = android[2];
        }
    }
    if (!(os.android) && /(iPhone|iPad|iPod|iOS)/g.test(ua)) {
        os.ios = true;
        if (iphone) {
            os.iphone = true, os.version = iphone[2].replace(/_/g, ".");
        }
        if (ipad) {
            os.ipad = true, os.version = ipad[2].replace(/_/g, ".");
        }
    }
    if (!(os.android) && !(os.ios) && !(os.ipad)) {
        os.other = true;
    }
    return os;
}

var os = detectOS();

function registJavaFunction() {

    if (os.ios || os.ipad) {
        function setupWebViewJavascriptBridge(callback) {
            if (window.WebViewJavascriptBridge) {
                return callback(WebViewJavascriptBridge);
            }
            if (window.WVJBCallbacks) {
                return window.WVJBCallbacks.push(callback);
            }
            window.WVJBCallbacks = [callback];
            var WVJBIframe = document.createElement('iframe');
            WVJBIframe.style.display = 'none';
            WVJBIframe.src = 'wvjbscheme://__BRIDGE_LOADED__';
            document.documentElement.appendChild(WVJBIframe);
            setTimeout(function () {
                document.documentElement.removeChild(WVJBIframe)
            }, 0)
        }
        setupWebViewJavascriptBridge(function (bridge) {
            bridge.registerHandler('JSHandler', function (data, responseCallback) {
                responseCallback(data)
            })
        })
    }
}

function setTaobaoOrders(orders) {
    try {
        if (os.ios || os.ipad) {
            window.WebViewJavascriptBridge.callHandler('setTaobaoOrders', orders, function (response) {
            });
        } else {
            MallInterface.setTaobaoOrders(orders);
        }
    } catch (e) {

    }
}

registJavaFunction();

function getByClass(parent, cls){
  if(parent.getElementsByClassName){
    return parent.getElementsByClassName(cls);
  }else{
    var res = [];
    var reg = new RegExp(' ' + cls + ' ', 'i')
    var ele = parent.getElementsByTagName('*');
    for(var i = 0; i < ele.length; i++){
      if(reg.test(' ' + ele[i].className + ' ')){
        res.push(ele[i]);
      }
    }
    return res;
  }
}

function getOrders() {
	var orderlists = getByClass(document, "order-list");
	var orders = new Array();
	console.log("orderlists length"+orderlists.length);
	
	if(orderlists != null && orderlists.length > 0) {
		for(var x = 0; x<orderlists.length;x++) {	
			console.log("x"+x);
			var lis = orderlists[x].children;
			console.log("lis length"+lis.length);
			if(lis != null && lis.length > 0) {
				for(var y = 0;y < lis.length;y++) {
					console.log("y"+y);
					var temp = lis[y].children;
					console.log("temp length"+temp.length);
					var stateElem = getByClass(temp[1], "state-cont");
					var state = getByClass(stateElem[0], "h")[0].innerHTML;
					console.log("state:"+state);
					if(state == "买家已付款" || state == "仓库已发货" || state == "交易成功" || state == "卖家已发货") {
						var orderNum = temp[1].className.substring(temp[1].className.indexOf("module ") + 7, temp[1].className.indexOf(" seller"));
						orderNum = orderNum.substring(0, orderNum.length - 1);
						orders.push(orderNum);
					}

				}

			}
		}
		setTaobaoOrders(orders);
	}
}

getOrders();