package com.tiqiaa.tclfp;

import com.tiqiaa.tclfp.Device;
import com.tiqiaa.tclfp.IrCommand;
import com.tiqiaa.tclfp.ProgramInfo;
import com.tiqiaa.tclfp.Rooms;

/**
* TCL APK回调
*/
oneway interface IIrDAServiceCallback {
	/**
	* 服务错误
	* @param serviceErrorCode IrDA服务错误码
	*/
	void onFailure(int serviceErrorCode);

	/**
	* setup Device
	* @param what READY_TO_CREATE_DEVICE, SYNC_DEVICE_DATA, SENDING_COMMAND
	*/
	void setupDevice(int what, in IrCommand irCommand, in Device device);

	/**
	* 同步房间配置及运营商信息
	* @param roomsData 房间配置
	*/
	void syncRooms(in Rooms roomsData);

	/**
	* 同步电视节目信息
	* @param programInfos 电视节目信息
	*/
	void syncProgramInfo(in ProgramInfo[] programInfos);

	/**
	* 将FP当配件使用
	* @param what ENTER_ACCESSORY_MODE, EXIT_ACCESSORY_MODE, SENDING_COMMAND
	*/
	void controlAccessory(int what, in IrCommand irCommand);
}
